/* Handling testsuite results:
*
* When tests using testharness.js are loaded in an iframe they will attempt to call global functions in the top frame to report the progress of the testsuite and the results status:
*
* start_callback() - called before the first test is run.
*
* result_callback(Test) - called once a result for a specific test has been determined.
*
* completion_callback([Test]) - called with a list of all tests run once all results have been determined.
*
* A Test object exposes three properties that should be considered public:
*
* name - The name of the test
* status - an integer representing the test result
* message - a string indicating the reason a test failed, or null if it passed
*
* The test status can be compared to the status object on the test frame. e.g. to check for a pass one might do
*
* passed = (test.status === test_frame.contentWindow.status.PASS)
*
* (TODO: make this easier)
*
* Current statuses are PASS, FAIL and TIMEOUT
*
* Example:
* The following are examples for global functions.
* result_callback : alerts the test name, status and message
* completion_callback : alerts the number of pass/fail/timeout

function start_callback() {
   //Add test setup (if needed) here.
}

function result_callback(test) {
   var passed = test.status === test_frame.contentWindow.status.PASS;
   var failed = test.status === test_frame.contentWindow.status.FAIL;
   var str = test.name;
   if (passed) str += " passed: ";
   else if (failed) str += " failed: ";
   else str += " timed out: ";
   str += test.message;
   alert(str);
}

function completion_callback(tests) {
    var passes=[], fails=[], timeouts=[];
    for (var i = 0; i < tests.length; i++) {
       if (tests[i].status === test_frame.contentWindow.status.PASS) passes.push(test[i]);
       else if (test[i].status === test_frame.contentWindow.status.FAIL) fails.push(test[i]);
       else timeouts.push(test[i]);
    }
    alert("Got " + passes.length + " pass, " + fails.length + " fail and "+ timeouts.length + " timeout");
}
*/